Informix

Expand all | Collapse all

CSDK

  • 1.  CSDK

    Posted 5 days ago
    Ifmx 12.10.FC14
    Solaris 10 1/13

    Our developers work in Java.  I do DBA and sysadmin work on our Solaris/SPARC systems.

    The point is I haven't done much with Windows.

    I have a developer now who needs to use dbaccess from his WIndows 10 machine.

    So, I need to install a Windows CSDK on his machine, and set up a Windows client.

    I sleuthed around for the latest and greatest CSDK (which, itself, was quite an extended exercise, and not readily apparent where to find.. years ago I got from PA, but, the latest Windows material on PA that I see is for Windows Vista, [or similar ancient timeframe]).  The only way I found the current CSDKs was by using the CSDK link posted by Eric Vercelleto in this thread:

    https://community.ibm.com/community/user/hybriddatamanagement/communities/community-home/digestviewer/viewthread?MessageKey=714add73-845e-450d-b670-d8b97721eb57&CommunityKey=cf5a1f39-c21f-4bc4-9ec2-7ca108f0a365&tab=digestviewer#bm714add73-845e-450d-b670-d8b97721eb57

    Anyway, I think I have found that there are two current CSDKs: 4.50.FC5, and 4.10.FC14.

    Q1: What is the difference between the two?

    Q2: Also, we are running Informix 12.10.FC14.  Are the CSDKs all back-compatible, or should I get an older version to avoid portential difficulty?   If so, which one?

    I am happy to open a tech support case if these questions are too specific to be of general interest.  (Just sometimes find the forum quicker than actual tech support.)

    Thank you.

    Regards,

    David Grove
    Juneau, AK

    ------------------------------
    David Grove
    ------------------------------


  • 2.  RE: CSDK

    Posted 5 days ago
    Hi David,

    The CSDK download is a pain to find!  The IIUG kindly keeps a link on their site, under the "Resources" drop down on the menu.  The link takes you here:  https://www.ibm.com/products/informix/developer-tools 

    The 4.50 CSDK was released with Informix 14.10, and the 4.10 CSDK was released with Informix 12.10.  So the 4.50 CSDK will be needed if you use any of the newer features introduced with Informix 14.10.  However, my understanding is the the CSDK is backwardly compatible, so I would install the 4.50 version, even if you are on Informix 12.10.

    Mike

    ------------------------------
    Mike Walker
    ------------------------------



  • 3.  RE: CSDK

    Posted 5 days ago
    I would run 4.50 and it will run fine against 12

    Cheers
    Paul

    Paul Watson
    Oninit LLC
    +1-913-387-7529
    www.oninit.com
    Oninit®️ is a registered trademark of Oninit LLC





  • 4.  RE: CSDK

    Posted 5 days ago
    
    I would run 4.50 and it will run fine against 12

    Cheers
    Paul

    Paul Watson
    Oninit LLC
    +1-913-387-7529
    www.oninit.com
    Oninit®️ is a registered trademark of Oninit LLC





  • 5.  RE: CSDK

    Posted 5 days ago
    Thank you, Mike and Paul.  Just the info I sought.

    DG

    ------------------------------
    David Grove
    ------------------------------